<?php
include("../include/session.php");

$userId = $_SESSION['username'];
date_default_timezone_set('Africa/Gaborone');
$entryDate = date("Y-m-d H:i:s");  

$table_name = $_SESSION['db_prefix']."_team_return";
$team_return_query = "SELECT team_return_no  FROM $table_name ORDER BY team_return_no DESC LIMIT 1  ";
$team_return_result = mySQL_query($team_return_query);
$team_return_num = mysql_num_rows($team_return_result);
if ($team_return_num!=0) {
$team_return_no = mysql_result($team_return_result, 0, "team_return_no");
}
else {
	$team_return_no=0;
}
$team_return_no=$team_return_no+1;


$table_name = $_SESSION['db_prefix']."_team_return";
$return_query = "INSERT INTO $table_name (team_id, team_return_no, issue_date,  issued_by, authorised_by ) VALUES ('".$_SESSION['team_id']."', '".$team_return_no."', '".$_SESSION['issue_date']."',  '".$_SESSION['issued_by']."', '".$_SESSION['authorised_by']."' ) ";
execsql($return_query);

$table_name = $_SESSION['db_prefix']."_team_return";
$return_id_query = "SELECT team_return_no  FROM $table_name ORDER BY team_return_no DESC LIMIT 1  ";
$return_id_result = mySQL_query($return_id_query);
$team_return_no = mysql_result($return_id_result, 0, "team_return_no");


$table_name3 = $_SESSION['db_prefix']."_team_stock_lines_temp";
$items_query = "SELECT * FROM $table_name3 WHERE  user_name =  '".$_SESSION['username']."' ";
$items_result = mySQL_query($items_query);
$items_num = mysql_num_rows($items_result);

$i=0;
while ($i<$items_num) {
   $store_item_id = mysql_result($items_result, $i, "store_item_id");
   $quantity =0-mysql_result($items_result, $i, "quantity");
   $price = mysql_result($items_result, $i, "price");
   $to_return = mysql_result($items_result, $i, "to_return");
   

   $table_name4 = $_SESSION['db_prefix']."_team_return_lines";  
   $insert_item_query = "INSERT INTO $table_name4 (team_return_no, store_item_id, quantity, price, issue_date) VALUES ('".$team_return_no."',  '".$store_item_id."', '".$quantity."', '".$price."', '".$_SESSION['issue_date']."') ";
   execsql($insert_item_query);

if ($to_return=='yes') { 
   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT quantity FROM $table_name2 WHERE store_item_id = '".$store_item_id."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $total_quantity = $total_quantity - $quantity;
      
   $stockQuery = "UPDATE $table_name2 SET quantity = '".$total_quantity."' , lastModDate = '".$_SESSION['issue_date']."' WHERE store_item_id = '".$store_item_id."'";
   $stockResult = mySQL_query($stockQuery);
   }
   else {
	 $total_quantity=0;
   }
	
	
	$table_name = $_SESSION['db_prefix']."_tracking_store";
	$trackingQuery = "INSERT INTO $table_name (entry_date, user_name, action, details_1, details_2, details_3, details_4) VALUES ('".$entryDate."' ,'".$_SESSION['username']."', '180', '".$store_item_id."', '".$_SESSION['team_id']."' ,'".$team_return_no."','' )";
	$trackingResult = mySQL_query($trackingQuery);
	

$table_name2 = $_SESSION['db_prefix']."_item_history";	
$historyQuery = "INSERT INTO $table_name2 (store_item_id, entry, reference, reference_2, reference_3, quantity, total, price, date, entryDate, userId) VALUES ('".$store_item_id."', '36', '".$_SESSION['team_id']."','".$team_return_no."', '', '".$quantity."', '".$total_quantity."', '".$price."', '".$_SESSION['issue_date']."','".$entryDate."','".$_SESSION['username']."')";
$historyResult = mySQL_query($historyQuery);


$i++;
}
	

$table_name = $_SESSION['db_prefix']."_team_stock_lines_temp";
$delete2_query = "DELETE FROM $table_name WHERE  user_name =  '".$_SESSION['username']."' "; 
execsql($delete2_query);


	
	$reference = "";
	$entry = "20";
	
	if (isset($_GET['new_button']) )
	   {
		 $action='return_teamWiz0.php';
	   }
		 
	if (isset($_GET['finish_button']) )
	  {
		$action='team_return.php?team_return_no='.$team_return_no;
	  }
	
$today = date("Y-m-d");
     $_SESSION['team'] = '';
	 $_SESSION['issue_date']  = date("Y-m-d");
	 $_SESSION['all_total'] = '';
	 $_SESSION['authorised_by']= '';
	 $_SESSION['issued_by'] = '';
	 $_SESSION['temp'] = '';
	 $_SESSION['value'] = '';
	 $_SESSION['stock_error']=0;
	
?>

<script language="javascript" type="text/javascript">
        
		  window.location="<?php echo $action?>";
        
       </script>

